Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application
Interface MessageFactory

    public interface MessageFactory

Author:
  Nick Belaevski

Method Summary
`javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, Enum<?> messageKey, Object... args)`
`javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, javax.faces.application.FacesMessage.Severity severity, Enum<?> messageKey, Object... args)`
`String` | `getMessageFormat(javax.faces.context.FacesContext facesContext, Enum<?> messageKey)`
`String` | `getMessageText(javax.faces.context.FacesContext facesContext, Enum<?> messageKey, Object... args)`

Method Detail

### createMessage

    javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                       Enum<?> messageKey,
                                                       Object... args)

### createMessage

    javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.application.FacesMessage.Severity severity,
                                                       Enum<?> messageKey,
                                                       Object... args)

### getMessageText

    String getMessageText(javax.faces.context.FacesContext facesContext,
                          Enum<?> messageKey,
                          Object... args)

### getMessageFormat

    String getMessageFormat(javax.faces.context.FacesContext facesContext,
                            Enum<?> messageKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.